Package org.italiangrid.voms.ac.impl

# Class LeafACLookupStrategy

java.lang.Object
org.italiangrid.voms.ac.impl.LeafACLookupStrategy

All Implemented Interfaces:
  `VOMSACLookupStrategy`, `VOMSConstants`

public class LeafACLookupStrategy extends Object implements VOMSACLookupStrategy, VOMSConstants
This strategy returns the leaf VOMS Attribute Certificate in a certificate chain, i.e. the Attribute Certificate found in the latest delegation in the chain.

Author:
  Andrea Ceccanti

## Field Summary

### Fields inherited from interface org.italiangrid.voms.asn1.VOMSConstants

`VOMS_CERTS_OID, VOMS_EXTENSION_OID, VOMS_FQANS_OID, VOMS_GENERIC_ATTRS_OID, VOMS_HANDLED_EXTENSIONS`

## Constructor Summary

Constructors
Constructor
Description
`LeafACLookupStrategy()`
`LeafACLookupStrategy(ACLookupListener l)`

## Method Summary

Modifier and Type
Method
Description
`List<ACParsingContext>`
`lookupVOMSAttributeCertificates(X509Certificate[] certChain)`
This method defines how a set of VOMS Attribute Certificates is looked for in a certificate chain.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LeafACLookupStrategy

public LeafACLookupStrategy(ACLookupListener l)

### LeafACLookupStrategy

public LeafACLookupStrategy()

## Method Details

### lookupVOMSAttributeCertificates

public List<ACParsingContext> lookupVOMSAttributeCertificates(X509Certificate[] certChain)
Description copied from interface: `VOMSACLookupStrategy`
This method defines how a set of VOMS Attribute Certificates is looked for in a certificate chain.

Specified by:
  `lookupVOMSAttributeCertificates` in interface `VOMSACLookupStrategy`
Parameters:
  `certChain` - the certificate chain that will be searched for VOMS attribute certificates
Returns:
  a `List` of `ACParsingContext` that describes the lookup outcome